Skip to main content
POST
/
v1
/
orders
/
spot
Place spot order
curl --request POST \
  --url https://api.trydocent.com/v1/orders/spot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "symbol": "PURR",
  "amountUsd": 100,
  "limitPrice": 123,
  "maxSlippagePercent": 123
}
'
import requests

url = "https://api.trydocent.com/v1/orders/spot"

payload = {
"symbol": "PURR",
"amountUsd": 100,
"limitPrice": 123,
"maxSlippagePercent": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: 'PURR', amountUsd: 100, limitPrice: 123, maxSlippagePercent: 123})
};

fetch('https://api.trydocent.com/v1/orders/spot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "actionId": "<string>",
  "workflowId": "<string>"
}
{
"error": "<string>",
"retryAfter": 123
}

Authorizations

Authorization
string
header
required

API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...

Body

application/json
symbol
string
required

Spot trading pair symbol (for example PURR or HFUN)

Example:

"PURR"

side
enum<string>
required
Available options:
BUY,
SELL
amountUsd
number
required

Amount in USD

Example:

100

orderType
enum<string>
required
Available options:
market,
limit
limitPrice
number

Limit price (required for limit orders)

maxSlippagePercent
number

Optional maximum slippage percentage

Response

Order accepted for asynchronous execution

success
boolean
required
Example:

true

actionId
string
required

Action ID for polling status via /v1/actions

workflowId
string
required

Internal workflow ID